Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Molecule

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.BaseSupport
                        |
                        +--biouml.standard.type.GenericEntity
                              |
                              +--biouml.standard.type.Referrer
                                    |
                                    +--biouml.standard.type.Molecule

Direct Known Subclasses:
  Proces, Molecule, Biopolimer, Cell, Substance

public abstract class Molecule
extends Referrer

todo comments

Method Summary
`String` | `getCompleteName()`
`String` | `getShortName()`
`String` | `getSynonims()`
`String` | `getTitle()` We use short name (if it is not null) as diagram element title.
`void` | `setCompleteName(String completeName)`
`void` | `setShortName(String shortName)`
`void` | `setSynonims(String synonims)`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getLiteratureReferences, setDatabaseReferences, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getType`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Method Detail

### getCompleteName

    public String getCompleteName()

### getShortName

    public String getShortName()

### getSynonims

    public String getSynonims()

### getTitle

    public String getTitle()

  We use short name (if it is not null) as diagram element title.

### setCompleteName

    public void setCompleteName(String completeName)

### setShortName

    public void setShortName(String shortName)

### setSynonims

    public void setSynonims(String synonims)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM